Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class ClassInfo.ClassInfoSet

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap
              org.codehaus.groovy.util.ManagedConcurrentMap
                  org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet

    public static class ClassInfo.ClassInfoSet
    extends ManagedConcurrentMap

Field Summary

Fields inherited from class ManagedConcurrentMap
bundle

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`ClassInfo.ClassInfoSet(ReferenceBundle bundle)`

Method Summary
`protected ClassInfo.ClassInfoSet.Segment` | `createSegment(java.lang.Object segmentInfo, int cap)`

Methods inherited from class ManagedConcurrentMap
createSegment

Methods inherited from class AbstractConcurrentMap
get, getOrPut, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClassInfo.ClassInfoSet

    public ClassInfo.ClassInfoSet(ReferenceBundle bundle)

Method Detail

### createSegment

    protected ClassInfo.ClassInfoSet.Segment createSegment(java.lang.Object segmentInfo, int cap)

Groovy Documentation